<a id="mypy-boto3-frauddetector"></a>

# mypy-boto3-frauddetector

[![PyPI - mypy-boto3-frauddetector](https://img.shields.io/pypi/v/mypy-boto3-frauddetector.svg?color=blue)](https://pypi.org/project/mypy-boto3-frauddetector)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-frauddetector.svg?color=blue)](https://pypi.org/project/mypy-boto3-frauddetector)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dw/mypy-boto3-frauddetector?color=blue)](https://pypistats.org/packages/mypy-boto3-frauddetector)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/master/logo.png)

Type annotations for
[boto3.FraudDetector 1.19.4](https://boto3.amazonaws.com/v1/documentation/api/1.19.4/reference/services/frauddetector.html#FraudDetector)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.0.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[mypy-boto3-frauddetector docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_frauddetector/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/master/demo.gif)

- [mypy-boto3-frauddetector](#mypy-boto3-frauddetector)
  - [How to install](#how-to-install)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

Install `boto3-stubs` for `FraudDetector` service.

```bash
python -m pip install boto3-stubs[frauddetector]
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto-stubs[frauddetector]` in your environment:
  `python -m pip install 'boto3-stubs[frauddetector]'`

Both type checking and auto-complete should work for `FraudDetector` service.
No explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `boto-stubs[frauddetector]` in your environment:
  `python -m pip install 'boto3-stubs[frauddetector]'`

Both type checking and auto-complete should work for `FraudDetector` service.
No explicit type annotations required, write your `boto3` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`boto3-stubs` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `boto-stubs[frauddetector]` in your environment:
  `python -m pip install 'boto3-stubs[frauddetector]'`
- Run `mypy` as usual

Type checking should work for `FraudDetector` service. No explicit type
annotations required, write your `boto3` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `boto-stubs[frauddetector]` in your environment:
  `python -m pip install 'boto3-stubs[frauddetector]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `FraudDetector` service. No explicit type
annotations required, write your `boto3` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`FraudDetectorClient` provides annotations for `boto3.client("frauddetector")`.

```python
import boto3

from mypy_boto3_frauddetector import FraudDetectorClient

client: FraudDetectorClient = boto3.client("frauddetector")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: FraudDetectorClient = session.client("frauddetector")
```

<a id="literals"></a>

### Literals

`mypy_boto3_frauddetector.literals` module contains literals extracted from
shapes that can be used in user code for type checking.

```python
from mypy_boto3_frauddetector.literals import (
    AsyncJobStatusType,
    DataSourceType,
    DataTypeType,
    DetectorVersionStatusType,
    EventIngestionType,
    LanguageType,
    ModelEndpointStatusType,
    ModelInputDataFormatType,
    ModelOutputDataFormatType,
    ModelSourceType,
    ModelTypeEnumType,
    ModelVersionStatusType,
    RuleExecutionModeType,
    TrainingDataSourceEnumType,
    UnlabeledEventsTreatmentType,
    ServiceName,
)

def check_value(value: AsyncJobStatusType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`mypy_boto3_frauddetector.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from mypy_boto3_frauddetector.type_defs import (
    BatchCreateVariableErrorTypeDef,
    BatchCreateVariableRequestRequestTypeDef,
    BatchCreateVariableResultTypeDef,
    BatchGetVariableErrorTypeDef,
    BatchGetVariableRequestRequestTypeDef,
    BatchGetVariableResultTypeDef,
    BatchImportTypeDef,
    BatchPredictionTypeDef,
    CancelBatchImportJobRequestRequestTypeDef,
    CancelBatchPredictionJobRequestRequestTypeDef,
    CreateBatchImportJobRequestRequestTypeDef,
    CreateBatchPredictionJobRequestRequestTypeDef,
    CreateDetectorVersionRequestRequestTypeDef,
    CreateDetectorVersionResultTypeDef,
    CreateModelRequestRequestTypeDef,
    CreateModelVersionRequestRequestTypeDef,
    CreateModelVersionResultTypeDef,
    CreateRuleRequestRequestTypeDef,
    CreateRuleResultTypeDef,
    CreateVariableRequestRequestTypeDef,
    DataValidationMetricsTypeDef,
    DeleteBatchImportJobRequestRequestTypeDef,
    DeleteBatchPredictionJobRequestRequestTypeDef,
    DeleteDetectorRequestRequestTypeDef,
    DeleteDetectorVersionRequestRequestTypeDef,
    DeleteEntityTypeRequestRequestTypeDef,
    DeleteEventRequestRequestTypeDef,
    DeleteEventTypeRequestRequestTypeDef,
    DeleteEventsByEventTypeRequestRequestTypeDef,
    DeleteEventsByEventTypeResultTypeDef,
    DeleteExternalModelRequestRequestTypeDef,
    DeleteLabelRequestRequestTypeDef,
    DeleteModelRequestRequestTypeDef,
    DeleteModelVersionRequestRequestTypeDef,
    DeleteOutcomeRequestRequestTypeDef,
    DeleteRuleRequestRequestTypeDef,
    DeleteVariableRequestRequestTypeDef,
    DescribeDetectorRequestRequestTypeDef,
    DescribeDetectorResultTypeDef,
    DescribeModelVersionsRequestRequestTypeDef,
    DescribeModelVersionsResultTypeDef,
    DetectorTypeDef,
    DetectorVersionSummaryTypeDef,
    EntityTypeDef,
    EntityTypeTypeDef,
    EventTypeDef,
    EventTypeTypeDef,
    ExternalEventsDetailTypeDef,
    ExternalModelOutputsTypeDef,
    ExternalModelSummaryTypeDef,
    ExternalModelTypeDef,
    FieldValidationMessageTypeDef,
    FileValidationMessageTypeDef,
    GetBatchImportJobsRequestRequestTypeDef,
    GetBatchImportJobsResultTypeDef,
    GetBatchPredictionJobsRequestRequestTypeDef,
    GetBatchPredictionJobsResultTypeDef,
    GetDeleteEventsByEventTypeStatusRequestRequestTypeDef,
    GetDeleteEventsByEventTypeStatusResultTypeDef,
    GetDetectorVersionRequestRequestTypeDef,
    GetDetectorVersionResultTypeDef,
    GetDetectorsRequestRequestTypeDef,
    GetDetectorsResultTypeDef,
    GetEntityTypesRequestRequestTypeDef,
    GetEntityTypesResultTypeDef,
    GetEventPredictionRequestRequestTypeDef,
    GetEventPredictionResultTypeDef,
    GetEventRequestRequestTypeDef,
    GetEventResultTypeDef,
    GetEventTypesRequestRequestTypeDef,
    GetEventTypesResultTypeDef,
    GetExternalModelsRequestRequestTypeDef,
    GetExternalModelsResultTypeDef,
    GetKMSEncryptionKeyResultTypeDef,
    GetLabelsRequestRequestTypeDef,
    GetLabelsResultTypeDef,
    GetModelVersionRequestRequestTypeDef,
    GetModelVersionResultTypeDef,
    GetModelsRequestRequestTypeDef,
    GetModelsResultTypeDef,
    GetOutcomesRequestRequestTypeDef,
    GetOutcomesResultTypeDef,
    GetRulesRequestRequestTypeDef,
    GetRulesResultTypeDef,
    GetVariablesRequestRequestTypeDef,
    GetVariablesResultTypeDef,
    IngestedEventStatisticsTypeDef,
    IngestedEventsDetailTypeDef,
    IngestedEventsTimeWindowTypeDef,
    KMSKeyTypeDef,
    LabelSchemaTypeDef,
    LabelTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResultTypeDef,
    LogOddsMetricTypeDef,
    MetricDataPointTypeDef,
    ModelEndpointDataBlobTypeDef,
    ModelInputConfigurationTypeDef,
    ModelOutputConfigurationTypeDef,
    ModelScoresTypeDef,
    ModelTypeDef,
    ModelVersionDetailTypeDef,
    ModelVersionTypeDef,
    OutcomeTypeDef,
    PutDetectorRequestRequestTypeDef,
    PutEntityTypeRequestRequestTypeDef,
    PutEventTypeRequestRequestTypeDef,
    PutExternalModelRequestRequestTypeDef,
    PutKMSEncryptionKeyRequestRequestTypeDef,
    PutLabelRequestRequestTypeDef,
    PutOutcomeRequestRequestTypeDef,
    ResponseMetadataTypeDef,
    RuleDetailTypeDef,
    RuleResultTypeDef,
    RuleTypeDef,
    SendEventRequestRequestTypeDef,
    TagResourceRequestRequestTypeDef,
    TagTypeDef,
    TrainingDataSchemaTypeDef,
    TrainingMetricsTypeDef,
    TrainingResultTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateDetectorVersionMetadataRequestRequestTypeDef,
    UpdateDetectorVersionRequestRequestTypeDef,
    UpdateDetectorVersionStatusRequestRequestTypeDef,
    UpdateEventLabelRequestRequestTypeDef,
    UpdateModelRequestRequestTypeDef,
    UpdateModelVersionRequestRequestTypeDef,
    UpdateModelVersionResultTypeDef,
    UpdateModelVersionStatusRequestRequestTypeDef,
    UpdateRuleMetadataRequestRequestTypeDef,
    UpdateRuleVersionRequestRequestTypeDef,
    UpdateRuleVersionResultTypeDef,
    UpdateVariableRequestRequestTypeDef,
    VariableEntryTypeDef,
    VariableImportanceMetricsTypeDef,
    VariableTypeDef,
)

def get_structure() -> BatchCreateVariableErrorTypeDef:
    return {
      ...
    }
```

<a id="versioning"></a>

## Versioning

`mypy-boto3-frauddetector` version is the same as related `boto3` version and
follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="documentation"></a>

## Documentation

All type annotations can be found in
[mypy-boto3-frauddetector docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_frauddetector/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
